// Custom Theming for Angular Material
@use '@angular/material' as mat;
// For more information: https://material.angular.io/guide/theming
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat.core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$teal-primary: mat.define-palette(mat.$teal-palette);
$teal-accent: mat.define-palette(mat.$blue-palette);
$teal-warn: mat.define-palette(mat.$red-palette);

// Typography
$typography: mat.define-typography-config(
  $font-family: 'Muli, Helvetica Neue, Arial, sans-serif',
);
// Setup the typography
@include mat.all-component-typographies($typography);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$teal-theme: mat.define-light-theme(
  (
    color: (
      primary: $teal-primary,
      accent: $teal-accent,
      warn: $teal-warn,
    ),
  )
);

.teal-bg {
  background-color: mat.get-color-from-palette($teal-primary);
}

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include mat.all-component-themes($teal-theme);

@import './indigo.scss';
@import './blue.scss';
@import './red.scss';
@import './dark-blue.scss';
@import './dark-red.scss';
